petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCApply

Applies the preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApply(PC pc,Vec x,Vec y)

Collective on PC and Vec Many br

### Input Parameters

| pc | - the preconditioner context Many br
| x | - input vector Many br

### Output Parameter

y -output vector Many br

Many br

### Keywords

PC, apply

### See Also

PCApplyTranspose(), PCApplyBAorAB()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex74f.F90.html